Bug 598168 - The builtin wacom of Fujitsu Stylistic ST-5000 tablet does not self-identify to xorg on Fedora 13
The builtin wacom of Fujitsu Stylistic ST-5000 tablet does not self-identify ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-wacom (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 12:16 EDT by Wendell Baker
Modified: 2018-04-11 03:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-wacom-0.10.6-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 17:27:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A workable xorg.conf that identifies the wacom (2.35 KB, text/plain)
2010-05-31 12:16 EDT, Wendell Baker
no flags Details
output of lshal (101.02 KB, text/plain)
2010-05-31 12:17 EDT, Wendell Baker
no flags Details
output of udevadm --export-db (87.45 KB, text/plain)
2010-05-31 12:17 EDT, Wendell Baker
no flags Details

  None (edit)
Description Wendell Baker 2010-05-31 12:16:14 EDT
Created attachment 418332 [details]
A workable xorg.conf that identifies the wacom

Description of problem:
The pen on the Fujitsu Stylistic ST-5110 does not "just work" any more.
The workaround is that you have to configure it to work with an xorg.conf file.


Version-Release number of selected component (if applicable):
Fedora 13 (stock)
xorg-x11-drv-wacom-0.10.6-2.fc13.i686
xorg-x11-server-common-1.8.0-12.fc13.i686

How reproducible: deterministic

Steps to Reproduce:
1. install Fedora 13 by any means
2. bring up to runlevel 5 (X fires up)
3. observe that the mouse works but the pen does not
  
Actual results:
observe that the mouse (usb or synaptics) works but the pen does not

Expected results:
the pen should "just work" as it did on Fedora 11

Additional info:
For this hardware, Fedora 11 was the first release IIRC where the pen "just worked".  On previous releases of Fedora you had to go in and manually code up an xorg.conf file that would inform the X server of the existence of the WACOM tablet on the front of the display.  That method continues to work and I include that functional xorg.conf which is a workaround

In the Fedora 11-era hal method of device discovery, the wacom tablet was discovered appropriately and it "just worked.'   I had no custom or special '*.fdi' file for that installation.  However, the system installation had one
$ find /etc /usr -name '*wacom*.fdi'  2>/dev/null
/usr/share/hal/fdi/policy/20thirdparty/10-linuxwacom.fdi
$ rpm -q -f /usr/share/hal/fdi/policy/20thirdparty/10-linuxwacom.fdi
linuxwacom-0.8.2.2-11.fc11.i586

I was unable to install Fedora 12 on this class of machines for other unrelated reasons.  I cannot report on that release's behavior here

It would be swell if we could get the udev method of device management to work as seamlessly as the old hal method.

On Fedora 13, is it the case that "linuxwacom" is now entailed in xorg-x11-drv-wacom?  This is repackaging history that I don't know.  I tried this to reproduce the 10-linuxwacom.fdi file of Fedora 11.   On Fedora 13, trying to install linuxwacom results in an attempt to install xorg-11-drv-wacom which is already installed as follows:

$ sudo yum install linuxwacom
Loaded plugins: presto, refresh-packagekit
Setting up Install Process
Package xorg-x11-drv-wacom-0.10.6-2.fc13.i686 already installed and latest version
Nothing to do

On Fedora 13 the hal fdi policy files are no longer available:
$ find /etc /usr -name '*wacom*.fdi'  2>/dev/null

Of note, there are certain other reports herein that seem related but were not applicable to the Fujitsu Stylistic situation.  In particular the "WAC" strings that frequently appear in the suggested remedies do not appear (as much) in my output from lshal, udevadm and so forth as the other scenarios described.  To wit:

$ grep WAC o.*
o.udevadm.out:E: MODALIAS=acpi:FUJ02E5:ACPI\WACF004:


I found these related but not applicable
https://bugzilla.redhat.com/show_bug.cgi?id=572096
https://bugzilla.redhat.com/show_bug.cgi?id=582852

OTher references
http://linuxwacom.sourceforge.net/index.php/howto/hotplug
Comment 1 Wendell Baker 2010-05-31 12:17:10 EDT
Created attachment 418333 [details]
output of lshal
Comment 2 Wendell Baker 2010-05-31 12:17:49 EDT
Created attachment 418334 [details]
output of udevadm --export-db
Comment 3 Matěj Cepl 2010-06-01 17:21:18 EDT
(In reply to comment #0)
> Description of problem:
> The pen on the Fujitsu Stylistic ST-5110 does not "just work" any more.
> The workaround is that you have to configure it to work with an xorg.conf file.

> On Fedora 13, is it the case that "linuxwacom" is now entailed in
> xorg-x11-drv-wacom?  This is repackaging history that I don't know.

Yes.

> this to reproduce the 10-linuxwacom.fdi file of Fedora 11.   On Fedora 13,
> trying to install linuxwacom results in an attempt to install xorg-11-drv-wacom

> On Fedora 13 the hal fdi policy files are no longer available:
> $ find /etc /usr -name '*wacom*.fdi'  2>/dev/null

Yes, read why
https://fedoraproject.org/wiki/Input_device_configuration

Could you also please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Peter Hutterer 2010-06-01 18:17:02 EDT
add the following line to your /lib/udev/rules.d/70-wacom.rules

ATTRS{id}=="FUJ0*" ENV{NAME}="Serial Wacom Tablet", ENV{SUBSYSTEM}="input", ENV{ID_INPUT}="1"

then reboot, does this help?
Comment 5 Fedora Update System 2010-06-03 00:23:51 EDT
xorg-x11-drv-wacom-0.10.6-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-wacom-0.10.6-4.fc13
Comment 6 Fedora Update System 2010-06-03 14:14:52 EDT
xorg-x11-drv-wacom-0.10.6-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-wacom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-wacom-0.10.6-4.fc13
Comment 7 Fedora Update System 2010-06-21 17:27:51 EDT
xorg-x11-drv-wacom-0.10.6-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.